Subject: Re: Req: FAQ/ Brass polishing

From: James T. Bober <[email-masked]>
Date: 18 Nov 1994 14:28:59 GMT

I agree with a previous response of using some kind of slurry, instead
of just dry rouge.  In fact, I get wonderful results on copper, brass and
aluminum with Meguiars #7 liquid.  Yea, I know it's an auto polish, but
it gives these metals a mirror finish.  Be liberal with the liquid when
you polish, and let IT do the work.  That is, to avoid streaks, use a
light touch with your buffing wheel or your hand.  Also, if you do the
polishing by hand, avoid wrinkles in the cloth that act as "high spots". 
Clean cotton felt backed by a rubber sanding block works nice on flat
plates.  The biggest source of streaks in polishing is nonuniform
pressure!

Good luck....
Jim